struct DrawConstants
{
    float x;
    float y;
};
ConstantBuffer<DrawConstants> scale : register(b0, space0);

struct PSInput
{
    float4 position : SV_POSITION;
};

PSInput VSMain(float4 position : POSITION)
{
    PSInput result;

    result.position = position;
    result.position.x = (result.position.x / scale.x/*1280*/) - 1.0f;
    result.position.y = (result.position.y / scale.y/*-720*/) + 1.0f;

    return result;
}

float4 PSMain(PSInput input) : SV_TARGET
{
    return float4(1.0f,
1.0f,
1.0f,
1.0f);
}